\documentclass[11pt,a4paper]{article}

\usepackage{fullpage, amssymb, amsthm, enumerate, amsmath, pictexwd, mathrsfs, ../yomcat, ../dcpic}

\pagestyle{empty}

\setlength{\arraycolsep}{2pt}
\setlength{\parskip}{1ex}
\setlength{\parindent}{0pt}

\begin{document}

\begin{center}
{\bf Victoria University of Wellington}\\[1ex]
{\bf School of Mathematics, Statistics \& Operations Research}\\
\end{center}

\hrule
MATH 432 \hfill
Assignment 3 \hfill
Michael Welsh (301012788)
\vspace{1ex}\hrule\vspace{1ex}

\begin{enumerate}
	\item If $e$ is a loop, then contraction is defined to be deletion, and the result is trivial. If $M\delete e = M \contract e$, then $(E - e, \set{I \in \mbc{I}\ |\ e \notin I}) = (E - e, \set{I \in \mbc{I}\ |\ e \notin I,\ I \cup e \in \mbc{I}})$. So \set{I \in \mbc{I}\ |\ e \notin I} = \set{I \in \mbc{I}\ |\ e \notin I,\ I \cup e \in \mbc{I}}. Let $I \in \mbc{I}$. If $e \notin I$, then $I \cup e \in \mbc{I}$. If $e \in I$, then $I \cup e = I \in \mbc{I}$. Hence $I \cup {e} \in \mbc{I}\ \forall I$, so $e$ is a coloop. \pend
	\item The connected matroids with four elements are $U_{1,4}$, $U_{2,4}$, $U_{3,4}$, and $M(W_2)$.
	\item The uniform matroid $U_{r,n}$ is disconnected when $n \geq 2$ and $r = 0$ or $n$.
	\item \begin{enumerate}[(i)]
		\item If $e$ is not a coloop of $M$, then there is an basis, $B$, such that $e \notin B$. Then $B$ is still independent in $M \delete e$, and is still a basis. Hence $r(M\delete e) = r(M)$. \\
		If $e$ is a coloop, then $e$ is in every basis of $M$. Then a basis of $M \delete e$ cannot contain $e$, so its size is $r(M) - 1$. \pend
		\item If $e$ is a loop, then $M \contract e = M \delete e$, and by the previous result, $r(M \contract e) = r(M)$. \\
		If $e$ is not a loop, then there is some basis of $M$ containing $e$. Removing $e$ from this basis creates a basis of $M \contract e$, of size $r(M) - 1$. \pend
	\end{enumerate}
	\item \begin{enumerate}[(i)]
		\item $U_{64,113}$. Every circuit has size 65, which is $r(M) + 1$.
		\item $U_{17,17}$. It has no circuits, as every set is independent.
		\item Assume that $e$ is a coloop. Then $e$ is in no circuits of $M$. So $r(M \delete e) = r(M) - 1$. Pick a circuit, $C$, of $M$, and and element $f \in C$. Then $C - f$ is indepedent in $M$, but it is not a basis, as $e \notin C - f$, and $e$ is in every basis of $M$. Hence \begin{align*}
			r(C - f) &< r(M) \\
			|C| &< r(M) + 1 \\
			&= r(M) \tag{as $M$ is paving} \\
			&= r(M\delete e) + 1
		\end{align*}
		So $M \delete e$ is paving.

		Now assume that $e$ is not a coloop. Then $r(M \delete e) = r(M)$. The circuits of $M\delete e$ are just the circuits of $M$ that don't contain $e$. As all circuits of $M$ have size $r(M)$ or $r(M) + 1$, every circuit in $M \delete e$ has size $r(M) = r(M\delete e)$ or $r(M \delete e) + 1$. Hence $M \delete e$ is paving.
		
		If $e$ is a loop, then $M \contract e = M \delete e$, and hence $M \contract e$ is paving.
		
		Assume that $e$ is not a loop. Then $r(M \contract e) = r(M) - 1$. Also, $\mbc{C}(M \contract e) = \set{C - e\ |\ C \in \mbc{C}(M),\ e \in C} \cup \set{C\ |\ C \in \mbc{C}(M),\ e \notin \cl(C)}$. Let $C$ be a circuit of $M \contract e$. If $C$ is from the first set in the union, then it has size either $r(M) = r(M \contract e) + 1$ or $r(M) - 1 = r(M \contract e)$, as is required. Assume that $C$ is from the second set in the union, and that $|C| = r(M) + 1$. Then \begin{align*}
			|C| &= r(M) + 1 \\
			&= r(M \contract e) + 2 \\
			r(C) = r(M \contract e) + 1
		\end{align*}
		This can't happen, so $|C| = r(M) = r(M \contract e) + 1$, and $M \contract e$ is paving. \pend
		\item The excluded minor for the class of paving matroids is $U_{2,2} \oplus U_{0,1}$. Unfortunately, I lack the time to prove this.
	\end{enumerate}
	\item $U_{0,n}$ is a disconnected paving matroid for $n \geq 2$. There must be more, but I can't think of any.
	\item \begin{enumerate}[(i)]
		\item Let $H \in \set{H_i \cup E_j\ |\ i+j = 3}$. As $H_i$ and $E_j$ are disjoint, $r(H) = r(H_i) + r(E_j) = r(E_i) - 1 + r(E_j)$, which is the rank required for a hyperplane of $M_1 \oplus M_2$. Let $e \notin H$. Then $e$ must be in $E_i - H_i$, and as $H_i$ is a hyperplane, $r(H_i \cup e) = r(E_i)$. Hence $r(H \cup e) = r(E_i) + r(E_j)$, and required for a hyperplane. Hence $H$ is a hyperplane for $M_1 \oplus M_2$. \\
		Conversely, let $H$ be a hyperplane of $M_1 \oplus M_2$. Assume that $H = (E_1 - X) \cup (E_2 - Y)$. WOLOG, $E_1 - X$ does not contain a basis. But $H \cup y$, for some $y \in Y$, does contain a basis, which is a contradiction. Now assume that $H = E_1 \cup E_2$. Then $r(H)$ is wrong, and so this cannot happen either. WOLOG, $H = E_1 \cup X$, where $X \subsetneq E_2$. $E_1$ must contain a basis, and since $H$ is a hyperplane of $M_1 \oplus M_2$, $X$ cannot. But $H \cup e$ does contain a basis for any $e \notin H$. $e$ must come from $E_2 - X$, and so $X \cup e$ must contain a basis. Hence $X$ is a hyperplane of $E_2$. \\
		Therefore $\mbc{H}(M_1 \oplus M_2) = \set{H_1 \cup E_2\ |\ H_1 \in \mbc{H}(M_1)} \cup \set{E_1 \cup H_2\ |\ H_2 \in \mbc{H}(M_2)}$. \pend
		\item Let $(E_1 \cup E_2) - X$ be a hyperplane of $(M_1 \oplus M_2)$. Then $X$ is a cocircuit of $M_1 \oplus M_2$. So $X$ is a cocircuit of either $M_1$ or $M_2$. Then $X$ is a circuit of either $M_1^*$ or $M_2^*$. Hence $X$ is a circuit of $M_1^* \oplus M_2^*$. As $M_1^* \oplus M_2^*$ and $(M_1 \oplus M_2)^*$ have the same circuits, they are the same matroid. \pend
	\end{enumerate}
	\item If \set{e,f} is a cocircuit of $M$, then $E - \set{e,f} \neq \es$ is a hyperplane of $M$. So $r(E - \set{e,f}) = r(M) - 1$. Furthermore, \set{e,f} is a circuit of $M$, so $r(\set{e,f}) = 1$. Hence $r(E - \set{e,f}) + r(\set{e,f}) = r(M)$, so the partition $(\set{e,f}, E - \set{e,f})$ is a 1-separation of $M$, and hence $M$ is not connected. \pend
	\item \begin{enumerate}[(i)]
		\item $U_{928,929}$ is connected. Removing any element gives a matroid isomorphic to $U_{928,928}$, which is disconnected.
		\item $U_{1,587}$ is connected. Removing any element gives a matroid isomorphic to $U_{0,586}$, which is disconnected.
	\end{enumerate}
	\item Assume that $M \delete e = (E_1, \mbc{I}_1) \oplus (E_2, \mbc{I}_2)$. Pick $f \in E_1$ and $g \in E_2$. Then there is a circuit, $C$, of $M$ that contains $f$ and $g$. As $e$ and $f$ come from different parts of $M \delete e$, $C$ cannot be a circuit of $M \delete e$. So $e \in C$, and then $C - e$ is a circuit of $M \contract e$ containing \set{f,g}. But $f$ and $g$ are arbitrary choices of elements of $E_1$ and $E_2$. As the components of $M \contract e$ are equivalence classes of the relation related to elements in circuits, $E - e$ is a component of $M \contract e$. Hence $M \contract e$ is connected. \\
	Dualise this result to get that if $M \contract e$ is not connected, then $M \delete e$ is. \\
	Hence either $M \delete e$ or $M \contract e$ is connected. \pend
\end{enumerate}

\end{document}